Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.builder.unknowncontent
Class UnknownContentOMDataSource

    java.lang.Object
      org.apache.axis2.builder.unknowncontent.UnknownContentOMDataSource

All Implemented Interfaces:
  org.apache.axiom.om.OMDataSource

    public class UnknownContentOMDataSource

extends java.lang.Object
implements org.apache.axiom.om.OMDataSource

Field Summary
`static javax.xml.namespace.QName` | `unknownContentQName`

Constructor Summary
`UnknownContentOMDataSource(javax.activation.DataHandler rootDataHandler)`

Method Summary
`javax.activation.DataHandler` | `getContent()`
`javax.xml.stream.XMLStreamReader` | `getReader()`
`void` | `serialize(java.io.OutputStream output, org.apache.axiom.om.OMOutputFormat format)`
`void` | `serialize(java.io.Writer writer, org.apache.axiom.om.OMOutputFormat format)`
`void` | `serialize(javax.xml.stream.XMLStreamWriter xmlWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unknownContentQName

    public static javax.xml.namespace.QName unknownContentQName

Constructor Detail

### UnknownContentOMDataSource

    public UnknownContentOMDataSource(javax.activation.DataHandler rootDataHandler)

Method Detail

### getReader

    public javax.xml.stream.XMLStreamReader getReader()
                                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `getReader` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### serialize

    public void serialize(java.io.OutputStream output,
                          org.apache.axiom.om.OMOutputFormat format)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### serialize

    public void serialize(java.io.Writer writer,
                          org.apache.axiom.om.OMOutputFormat format)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter xmlWriter)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getContent

    public javax.activation.DataHandler getContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.